/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location;

import com.yiring.auth.domain.user.User;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 定位标签销毁入参
 * @author LJ-2204
 * @date 2022/4/14
 */

@ApiModel("LocationTagDeleteParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LocationTagDeleteParam implements Serializable {

    private static final long serialVersionUID = 2404060244461070885L;

    @ApiModelProperty(value = "id", example = "145235231", required = true)
    @NotNull(message = "id 不能为空")
    Long id;

    @ApiModelProperty(value = "人员", example = "1")
    User user;
}
